#!/bin/sh

set -e
function resetProxy {
    # uninstall
    sudo /usr/sbin/networksetup -listallnetworkservices | grep -v asterisk  | while read line ;
    do
        sudo /usr/sbin/networksetup -setautoproxyurl "$line" " "
        sudo /usr/sbin/networksetup -setwebproxy "$line" " "
        sudo /usr/sbin/networksetup -setsecurewebproxy "$line" " "
        sudo /usr/sbin/networksetup -setautoproxystate "$line" "off"
        sudo /usr/sbin/networksetup -setwebproxystate "$line" "off"
        sudo /usr/sbin/networksetup -setsecurewebproxystate "$line" "off"
    done
}

# stop agent
if sudo /bin/launchctl list "com.iboss.gen4agent" &> /dev/null; then
    sudo /bin/launchctl unload "/Library/LaunchDaemons/com.iboss.gen4agent.plist"
fi

resetProxy

echo "Removing iboss packages"
sudo rm -rf /Library/LaunchDaemons/com.iboss.gen4agent.plist
sudo rm -rf /Applications/iboss.app
